--- KeyMap.c.org	Thu Sep 20 19:30:45 2001
+++ KeyMap.c	Thu Sep 20 20:38:24 2001
@@ -429,7 +429,7 @@
     { java_awt_event_KeyEvent_VK_9, XK_kana_YO, XK_9, 0xff96, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_0, XK_kana_WA, XK_0, 0xff9c, TRUE, 0 },
     { '-',			    XK_kana_HO, XK_minus, 0xff8e, TRUE, 0 },
-    { '~',			    XK_kana_HE, XK_asciicircum, 0xff8d, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_OPEN_BRACKET, XK_kana_HE, XK_bracketleft, 0xff8d, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_Q, XK_kana_TA, XK_q, 0xff80, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_W, XK_kana_TE, XK_w, 0xff83, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_E, XK_kana_I, XK_e, 0xff72, TRUE, 0 },
@@ -440,8 +440,7 @@
     { java_awt_event_KeyEvent_VK_I, XK_kana_NI, XK_i, 0xff86, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_O, XK_kana_RA, XK_o, 0xff97, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_P, XK_kana_SE, XK_p, 0xff7e, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_AT, XK_voicedsound, XK_at, 0xff9e, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_OPEN_BRACKET, XK_semivoicedsound, XK_bracketleft, 0xff9f, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_EQUALS, XK_semivoicedsound, XK_equal, 0xff9f, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_A, XK_kana_CHI, XK_a, 0xff81, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_S, XK_kana_TO, XK_s, 0xff84, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_D, XK_kana_SHI, XK_d, 0xff7c, TRUE, 0 },
@@ -452,8 +451,9 @@
     { java_awt_event_KeyEvent_VK_K, XK_kana_NO, XK_k, 0xff89, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_L, XK_kana_RI, XK_l, 0xff98, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_SEMICOLON, XK_kana_RE, XK_semicolon, 0xff9a, TRUE, 0 },
-    { ':',				    XK_kana_KE, XK_colon, 0xff79, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_CLOSE_BRACKET, XK_kana_MU, XK_bracketright, 0xff91, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_QUOTE, XK_kana_KE, XK_apostrophe, 0xff79, TRUE, 0 },
+
     { java_awt_event_KeyEvent_VK_Z, XK_kana_TSU, XK_z, 0xff82, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_X, XK_kana_SA, XK_x, 0xff7b, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_C, XK_kana_SO, XK_c, 0xff7f, TRUE, 0 },
@@ -466,8 +466,6 @@
     { java_awt_event_KeyEvent_VK_SLASH, XK_kana_ME, XK_slash, 0xff92, TRUE, 0 },
     /* hack to japanese keyboard */
     /* backslash is duplicate for RO and prolongedsound */
-    { java_awt_event_KeyEvent_VK_BACK_SLASH, XK_kana_RO, XK_underscore, 0xff9b, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_BACK_SLASH, XK_prolongedsound, XK_bar, 0xff70, TRUE, 0 },
     { 0, 0, 0 }
 };
 
@@ -475,19 +473,22 @@
     { java_awt_event_KeyEvent_VK_3, XK_kana_a, XK_numbersign, 0xff67, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_4, XK_kana_u, XK_dollar, 0xff69, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_5, XK_kana_e, XK_percent, 0xff6a, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_6, XK_kana_o, XK_ampersand, 0xff6b, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_7, XK_kana_ya, XK_apostrophe, 0xff6c, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_8, XK_kana_yu, XK_parenleft, 0xff6d, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_9, XK_kana_yo, XK_parenright, 0xff6e, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_0, XK_kana_WO, XK_asciitilde, 0xff66, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_6, XK_kana_o, XK_asciicircum, 0xff6b, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_7, XK_kana_ya, XK_ampersand, 0xff6c, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_8, XK_kana_yu, XK_asterisk, 0xff6d, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_9, XK_kana_yo, XK_parenleft, 0xff6e, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_0, XK_kana_WO, XK_parenright, 0xff66, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_E, XK_kana_i, XK_E, 0xff68, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_OPEN_BRACKET, XK_kana_openingbracket, XK_braceleft, 0xff62, TRUE, 0 },
-    { java_awt_event_KeyEvent_VK_CLOSE_BRACKET, XK_kana_closingbracket, XK_braceright, 0xff63, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_OPEN_BRACKET, XK_kana_closingbracket, XK_braceleft, 0xff63, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_EQUALS, XK_kana_openingbracket, XK_plus, 0xff62, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_Z, XK_kana_tsu, XK_Z, 0xff6f, TRUE, 0 },
     /* XK_less does not return correct keycode on VineLinux 1.1 */
     { java_awt_event_KeyEvent_VK_COMMA, XK_kana_comma, XK_comma, 0xff64, TRUE, 0 },
     { java_awt_event_KeyEvent_VK_PERIOD, XK_kana_fullstop, XK_greater, 0xff61, TRUE,0 },
     { java_awt_event_KeyEvent_VK_SLASH, XK_kana_conjunctive, XK_question, 0xff65, TRUE,0 },
+    { java_awt_event_KeyEvent_VK_SEMICOLON, XK_voicedsound, XK_colon, 0xff9e, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_QUOTE, XK_kana_RO, XK_quotedbl, 0xff9b, TRUE, 0 },
+    { java_awt_event_KeyEvent_VK_CLOSE_BRACKET, XK_prolongedsound, XK_braceright, 0xff70, TRUE, 0 },
     { 0, 0, 0 }
 };
 #endif
